## NAME

r.topidx - Creates topographic index map from elevation raster map.

## KEYWORDS

raster, hydrology

## SYNOPSIS

r.topidx
r.topidx help
r.topidx input=name output=name [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Input elevation map
output=name
  Output topographic index map

## DESCRIPTION

r.topidx creates topographic index (wetness index), ln(a/tan(beta)), map from elevation map

where

  a: the area of the hillslope per unit contour length that drains through any point,

  tan(beta): the local surface topographic slope (delta vertical) / (delta horizontal).

Input maps may have NULL values. For example, if you have a MASK for a watershed (basin map from r.water.outlet), the following command will create a masked elevation map (belev):

    r.mapcalc "belev = if(isnull(basin), basin, elev)"

r.stats -Anc prints out averaged statistics for topographic index.

## SEE ALSO

r.topmodel, r.water.outlet, r.mapcalc

## REFERENCE

Moore, I.D., R.B. Grayson, and A.R. Ladson, 1991. Digital terrain modeling: A review of hydrological, geomorphological, and biological applications. Hydrol. Processes 5:3-30.

## AUTHORS

Main algorithm sources are rewritten from GRIDATB.FOR.
Thanks to Keith Beven.

GRASS port by Huidae Cho
Hydro Laboratory, Kyungpook National University, South Korea

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team